Package: grails.core.support.proxy

## [Java] Interface EntityProxyHandler

- grails.core.support.proxy.ProxyHandler

- All Superinterfaces:
    ProxyHandler

      public interface EntityProxyHandler
      extends ProxyHandler

  Methods specified to proxied entities

  Authors:
    Graeme Rocher
  Since:
    1.3.6

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.Class<?>` | `getProxiedClass(java.lang.Object o)` Returns the proxied class without initializing the proxy
    `` | `public java.lang.Object` | `getProxyIdentifier(java.lang.Object o)` This method returns the identifier of the proxy or null if the object is not a proxy

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ProxyHandler` | `initialize, isInitialized, isInitialized, isProxy, unwrapIfProxy`

- - ### Method Detail

    - #### public java.lang.Class<?> getProxiedClass(java.lang.Object o)

      Returns the proxied class without initializing the proxy

      Parameters:
        `o` - The object
      Returns:
        The class

    - #### public java.lang.Object getProxyIdentifier(java.lang.Object o)

      This method returns the identifier of the proxy or null if the object is not a proxy

      Returns:
        The identifier of the identity